Your message dated Tue, 15 Sep 2009 11:07:23 +0200
with message-id <20090915090723.gc4...@mithrandir>
and subject line This is obsolete
has caused the Debian Bug report #476655,
regarding thuban: ogr extension bug reported by python 2.5 as default in sid
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact

Debian Bug Tracking System
Contact with problems
--- Begin Message ---
Package: thuban
Version: 1.2.0-2.1
Severity: normal

While updating my debian/sid, I add the following error :

Setting up python (2.5.2-1) ...
running python rtupdate hooks for python2.5...
Updating *.pc symlinks for python-gst0.10...
WARNING: compile error while trying to byte-compile
/usr/lib/thuban/Extensions/ogr/   File
"/usr/lib/thuban/Extensions/ogr/", line 12
    from __future__ import generators
    SyntaxError: from __future__ imports must occur at the beginning of the

running python post-rtupdate hooks for python2.5...

It seems ogr Extension should be patched.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages thuban depends on:
ii  gdal-bin                     1.5.1-2+b1  Geospatial Data Abstraction Librar
ii  libc6                        2.7-10      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.0-3   GCC support library
ii  libgdal1-1.5.0               1.5.1-2+b1  Geospatial Data Abstraction Librar
ii  libstdc++6                   4.3.0-3     The GNU Standard C++ Library v3
ii  libwxbase2.6-0      wxBase library (runtime) - non-GUI
ii  libwxgtk2.6-0       wxWidgets Cross-platform C++ GUI t
ii  proj                         4.6.0-1     Cartographic projection filter and
ii  python [python-xmlbase]      2.5.2-1     An interactive high-level object-o
ii  python-sqlite                1.0.1-7     python interface to SQLite 2
ii  python-support               0.7.7       automated rebuilding support for P
ii  python-wxgtk2.6     wxWidgets Cross-platform C++ GUI t

Versions of packages thuban recommends:
ii  python-gdal                   1.5.1-2+b1 Python bindings to the Geospatial 
ii  python-psycopg                1.1.21-15  Python module for PostgreSQL

-- no debconf information

--- End Message ---
--- Begin Message ---
Package: thuban
Version: 1.2.1-1

It seems some transient python-related issue anyway, never seen on my every day 
sid boxes.

Francesco P. Lovergine

--- End Message ---
Pkg-grass-devel mailing list

Reply via email to